#ifndef SREPLYGETMANAGE_H
#define SREPLYGETMANAGE_H

#include <QThreadPool>
#include "scrawlerdata.h"

class SReplyGetManage
{
public:
    enum E_DAUM
    {
        E_DAUM_DOWNSRC = 0,
        E_DAUM_CDEPTH,
        E_DAUM_TOTAL,
        E_DAUM_MAX,
    };

    SReplyGetManage();
    ~SReplyGetManage();
    void SetTotal(int _nTotal) { m_nTotal = _nTotal;}
    void SetUrl(QString _strUrl);
    void Start(SCrawlerData *_pData);
    void SetSelect(int _nSelect){m_nSelect = _nSelect;}
    void SetDaumData(int _nSelect,QString _strData) { m_astrDaum[_nSelect] = _strData;}
    int select() {return m_nSelect;}
    void NaverNewsRun();
    void DaumCafeRun();
private:
    QThreadPool *m_pool;
    int m_nTotal;
    QString m_strGno,m_strUrl;
    int m_nSelect;
    QString m_astrDaum[E_DAUM_MAX];
    SCrawlerData *m_pData;
};

#endif // SREPLYGETMANAGE_H
